{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":39410,"path":"platform-administration/search-administration/configure-trello-external-content-indexing.md","title":"Configure Trello for external content indexing","bundle":null,"doc_type":null,"release":"australia","body":"\n# Configure Trello for external content indexing\n\nCreate and authorize a Power-Up in the Trello Power-Up Admin Portal to allow the Trello external content connector to access your Trello source system.\n\n## Before you begin\n\nYour organization must be on the Trello Enterprise plan. For details on this plan, see [https://trello.com/enterprise](https://trello.com/enterprise).\n\nMake sure that you have the Trello Enterprise Name for your organization.\n\n**Note:** You can find your Enterprise Name in the URL for your organization's Trello Enterprise Admin Dashboard, which has the format `https://trello.com/e/EnterpriseName/admin`. For more information on the Trello Enterprise Admin Dashboard, see [https://trello.com/guide/enterprise/admins-dashboard](https://trello.com/guide/enterprise/admins-dashboard).\n\nYou need developer privileges for the Trello Power-Up Admin Portal.\n\nRole required: none\n\n## About this task\n\nThe Trello external content connector retrieves content from publicly accessible boards in your Trello source system using the Trello REST API.\n\nTo allow the connector to access your Trello source system via the Trello REST API, you must configure and authorize a Power-Up in the Trello Power-Up Admin Portal. Your connector administrator can use settings copied from the Power-Up to configure the Trello external connector for proper connection to your source system.\n\n## Procedure\n\n1.  In the Trello Power-Up Admin Portal, create a new Power-Up for the Trello external content connector.\n\n    1.  Navigate to [https://trello.com/power-ups/admin](https://trello.com/power-ups/admin) and log in with developer credentials.\n\n    2.  Select **New**.\n\n    3.  Enter a name for your new Power-Up.\n\n        As an example, you might enter `Trello external content connector`.\n\n    4.  Select the Trello workspace that will own your new Power-Up.\n\n        This should be the workspace that includes the content you want the external content connector to retrieve and make searchable.\n\n    5.  Enter your email address, a support contact email address or URL, and an author name for your new Power-Up.\n\n    6.  Select **Create**.\n\n    You're taken to the Basic Information page for your new Power-Up.\n\n2.  Generate an API key and a token for your new Power-Up.\n\n    1.  Navigate to the **API Key** page for your new Power-Up.\n\n    2.  Select **Generate a new API key**.\n\n    3.  In the Generate API key modal window, select **Generate API key**.\n\n    4.  Copy your new API key and store it in a secure location.\n\n        **Important:** Your external content connector administrator needs this API key when configuring the Trello external content connector.\n\n    5.  Select **Token**.\n\n    6.  On the authorization screen, select **Allow**.\n\n    7.  Copy your new token and store it in a secure location.\n\n        **Important:** Your external content connector administrator needs this API token when configuring the Trello external content connector.\n\n3.  Get the ID for your enterprise \\(organization\\) from Trello.\n\n    1.  Run this curl command, replacing `<enterprise-name>` with your organization's Trello Enterprise Name, `<api-key>` with your copied API key, and `<api-token>` with your copied API token:\n\n        ```rest_api_curl_example\n        curl --request GET \\\n          --url 'https://api.trello.com/1/enterprises/<enterprise-name>?key=<api-key>&token=<api-token>' \\\n          --header 'Accept: application/json'\n        ```\n\n    2.  Copy the `idEnterprise` value from the curl response and store it in a secure location.\n\n        **Important:** Your external content connector administrator needs this enterprise ID when configuring the Trello external content connector.\n\n\n## What to do next\n\nProvide the following items to your connector administrator:\n\n-   The API key that you copied in step [2.d](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/search-administration/configure-trello-external-content-indexing.md).\n-   The API token that you copied in step [2.g](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/search-administration/configure-trello-external-content-indexing.md).\n-   The enterprise ID that you copied in step [3.b](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/search-administration/configure-trello-external-content-indexing.md).\n-   The base URL for the Trello REST API. This is usually `https://api.trello.com`.\n\nYour connector administrator needs these items to configure a Trello external content connector to retrieve boards from your Trello source system.\n\nFor details on creating and configuring a Trello external content connector, see [Create a Trello external content connector](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/search-administration/create-ext-cont-connector-trello.md).\n\n**Parent Topic:**[Trello external content connector](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/search-administration/trello-external-content-connector.md)\n\n"}}